View Issue Details

IDProjectCategoryLast Update
0019120AI War 2[All Projects] Crash/ExceptionMay 30, 2017 11:37 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.201 Bugfixes and Optimizations 
Fixed in Version0.301 The New HDR Visual Stack 
Summary0019120: NullReferenceException: ReevaluateAIOrders
DescriptionI had just saved and had clicked "Quit Game" when this error popped up:

5/19/2017 7:41:22 PM new Closest planet 3, second closest 6
5/19/2017 7:41:22 PM Adding a few random connections at the end
5/19/2017 7:54:43 PM Shutting Down Socket
5/19/2017 7:54:43 PM PLAYER DISCONNECTED 0.0.0.0=>0
5/19/2017 7:54:43 PM Successfully opened host socket
5/19/2017 8:08:04 PM Error in thread for execution context 'executionContext':System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.Core.GameEntity.ReevaluateAIOrders (Arcen.AIW2.Core.ArcenSimContext Context) [0x00035] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\GameEntity\GameEntity.cs:1704
  at Arcen.AIW2.Core.World_AIW2+<DoWorldStepLogic>c__AnonStorey0.<>m__1 (Arcen.AIW2.Core.GameEntity entity) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:253
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (GameEntityCategorySet Set, Arcen.AIW2.Core.ProcessorDelegate Processor) [0x0005a] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\GameEntity\EntityCollection.cs:302
  at Arcen.AIW2.Core.World_AIW2.DoForEntities (GameEntityCategorySet Set, Arcen.AIW2.Core.ProcessorDelegate Processor) [0x00027] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:381
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0016d] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:251
  at Arcen.AIW2.Core.SimExecution.Execute () [0x00043] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimExecution\SimExecution.cs:27
TagsNo tags attached.

Activities

keith.lamothe

May 30, 2017 11:37 am

administrator   ~0046230

For 0.301:

* Reworked the "Quit Game" button on the master menu to no longer be a "immediately chuck the gamestate into the grinder" function, but rather "tell the game that once it's done executing the current sim frame to close the gamestate". This avoids various race-condition null exceptions when quitting while the sim threads are going.

Thanks :)

Issue History

Date Modified Username Field Change
May 19, 2017 8:09 pm BadgerBadger New Issue
May 19, 2017 8:09 pm x4000Bughunter Assigned To => keith.lamothe
May 19, 2017 8:09 pm x4000Bughunter Status new => assigned
May 30, 2017 11:37 am keith.lamothe Note Added: 0046230
May 30, 2017 11:37 am keith.lamothe Status assigned => resolved
May 30, 2017 11:37 am keith.lamothe Fixed in Version => 0.301 The New HDR Visual Stack
May 30, 2017 11:37 am keith.lamothe Resolution open => fixed